> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# List unavailabilities for a producer plant.

> Returns all availability limitations (unavailabilities) for the plant tied to the producer contract.



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/producers/{userID}/contracts/{contractID}/feed_limitations/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/producers/{userID}/contracts/{contractID}/feed_limitations/:
    get:
      tags:
        - producers
      summary: List unavailabilities for a producer plant.
      description: >-
        Returns all availability limitations (unavailabilities) for the plant
        tied to the producer contract.
      operationId: producers_contracts_feed_limitations_list
      parameters:
        - in: query
          name: active_after
          schema:
            type: string
            format: date-time
          description: to fiter only limitations which are valid after this timestamp
        - in: query
          name: active_before
          schema:
            type: string
            format: date-time
          description: to fiter only limitations which are valid before this timestamp
        - in: path
          name: contractID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
        - in: path
          name: userID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AvailabilityLimitation'
              examples:
                AvailabilityLimitation:
                  value:
                    - limitation_id: 42
                      start: '2026-01-01T00:00:00Z'
                      end: '2026-01-01T12:00:00Z'
                      availability_type: cap
                      value: 5000
                      unit: W
                      reason_type: technical
                      reason_description: maintenance due broken solar panel
                  summary: Availability Limitation
          description: ''
components:
  schemas:
    AvailabilityLimitation:
      type: object
      properties:
        start:
          type: string
          format: date-time
          description: The timestamp when the feed limitation begins
        end:
          type: string
          format: date-time
          description: The timestamp when the feed limitation ends
        availability_type:
          allOf:
            - $ref: '#/components/schemas/AvailabilityTypeEnum'
          description: >-
            Is the feed capped (cannot feed more than) or scaled (a part of the
            plant is not available)?


            * `cap` - cap

            * `scale` - scale
        value:
          type: number
          format: double
          description: >-
            value of the feed limitation, for unit % between 0-100, for unit W
            up to plant capacity
        unit:
          allOf:
            - $ref: '#/components/schemas/UnitB4eEnum'
          description: |-
            % for scaled feed limitation, W for capped feed limitation

            * `%` - %
            * `W` - W
        reason_type:
          allOf:
            - $ref: '#/components/schemas/AvailabilityLimitationReasonTypeEnum'
          description: |-
            classification on limitation reason

            * `technical` - technical
            * `economic` - economic
            * `redispatch` - redispatch
            * `weather-dependent` - weather-dependent
            * `other` - other
        reason_description:
          type: string
          nullable: true
          description: short description to clarify limitation
        id:
          type: integer
      required:
        - availability_type
        - end
        - id
        - reason_type
        - start
        - unit
        - value
    AvailabilityTypeEnum:
      enum:
        - cap
        - scale
      type: string
      description: |-
        * `cap` - cap
        * `scale` - scale
    UnitB4eEnum:
      enum:
        - '%'
        - W
      type: string
      description: |-
        * `%` - %
        * `W` - W
    AvailabilityLimitationReasonTypeEnum:
      enum:
        - technical
        - economic
        - redispatch
        - weather-dependent
        - other
      type: string
      description: |-
        * `technical` - technical
        * `economic` - economic
        * `redispatch` - redispatch
        * `weather-dependent` - weather-dependent
        * `other` - other

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.